<?php 


$fw = fopen('cronlog/tcsintransitstart' . date('d-m-Y H:i:s') . '.txt', 'w');
fwrite($fw, $_POST['xml']);
fclose($fw);	



include ('../inc/dbobjx.php');
$runQuery = new dbObj;


$qrys = "SELECT
	datatime,
	ordercode,
	status,
	status_text,
	magento_orderno,
	send_to_magento,
	customer_order_id,
	customer_order_status.picklist_id,
	tracking_status,
	courier_name,
	( SELECT count( * ) AS cnt FROM customer_order_status c1 WHERE c1.STATUS = 'INT' AND c1.ordercode = customer_order_status.ordercode ) AS cnt 
FROM
	customer_order_status
	LEFT JOIN customer_order ON customer_order_status.ordercode = customer_order.customer_order_number 
WHERE
	status = 'DSP' 
	AND send_to_magento = '1'
	AND insert_date >= '2020-07-01'
	and courier_name = 'tcs'
	GROUP BY
	ordercode 
HAVING cnt != 1	
ORDER BY
	 courier_name ASC";
	


	$xres = simplexml_load_string($runQuery->RunQuery($qrys));
	
	

	

	foreach($xres as $order){

	 $detail = array(); 
	 
	    $ordercode = (string)$order->ordercode;
        $status_text = (string)$order->status_text;
        $magento_orderid = (string)$order->magento_orderno;
        $customer_order_id = (string)$order->customer_order_id;
        $picklist_id = (string)$order->picklist_id;
        $courier_name = (string)$order->courier_name;  
		
		$response = '';
		


	 if ($courier_name == 'tcs') {
		
		echo $courier_name;
		echo '--------------------------TCS--------------------------<br/>';
		
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://apis.tcscourier.com/production/track/v1/shipments/detail?consignmentNo=".$customer_order_id,
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => array(
    "accept: application/json",
    "x-ibm-client-id: 8d622758-9eba-43d3-a7b1-37fb4e352618"
  ),
));

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
  $result     = json_decode($response, true);
  $returnStatus = $result['returnStatus'];
  $TrackDetailReply = $result['TrackDetailReply'];
  $i=1;
  //echo count($TrackDetailReply);
  
  foreach($TrackDetailReply['Checkpoints']  as $keys=> $row){
	 
		   echo '<br/>-------------------------------------------';
		  if($keys == 0){
		  $status =  $row['status'];
		  $date_time = $row['dateTime'];
          $updated_at =  date("Y-m-d H:i:s", strtotime($date_time));
		  echo $qry = "UPDATE customer_order SET tracking_status = '" . $status . "' WHERE customer_order_id='" . $customer_order_id . "'";
           $res = $runQuery->RunQuery($qry);
		   echo '<br/>-------------------------------------------';
		   
		    if (($status == 'Arrived at TCS Facility') || ($status == 'Departed From Origin') || ($status == 'Awaiting receiver collection') || ($status == 'CLOSED ON ARRIVAL') || ($status == 'Scheduled for delivery') || ($status == 'Returned to TCS origin') || ($status == 'Delivery address falls under TCS non service area') || ($status == 'Receiver shifted from delivery address') || ($status == 'On hold at TCS facility')  || ($status == 'In Transit') || ($status == 'Unable To Contact')  || ($status == 'Consignee Not Available') || ($status == 'PH Not Responding / Unable to locate delivery address') || ($status == 'Awaiting Consignee Collection') ) {
				
				
				
                    
                    echo $qrys = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id,arrival_time,delivery_time)
VALUES (NOW(),'$ordercode','INT','In Transit','admin','Web',NOW(),'$magento_orderid','$picklist_id','$updated_at','$updated_at')";
                    echo $ress = $runQuery->RunQuery($qrys);
                }
				
				if ($status == 'Arrived at TCS Facility'){
				
				echo $qryarr = "UPDATE customer_order_status SET arrival_time = '" . $updated_at . "',delivery_time = '" . $updated_at . "' WHERE ordercode='" . $ordercode . "' and status = 'INT'";
               $runQuery->RunQuery($qryarr);
	 
                 }	
				
                if (($status == 'Delivered') || ($status == 'DELIVERED')) {
                    
                    echo '<br/>';
                    echo $qrys = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id,arrival_time,delivery_time)
VALUES (NOW(),'$ordercode','DLV','Delivered','admin','Web',NOW(),'$magento_orderid','$picklist_id','$updated_at','$updated_at')";
                    echo $ress = $runQuery->RunQuery($qrys);
                    echo '<br/>';
					 $qryarr = "UPDATE customer_order_status SET arrival_time = '" . $updated_at . "',delivery_time = '" . $delivery_date . "' WHERE ordercode='" . $ordercode . "' and status = 'DLV'";
                 $runQuery->RunQuery($qryarr);
                }
				
				if (($status == 'RETURN TO SHIPPER') || ($status == 'Ready for Return') || ($status == 'Returned to sender')) {
                    
                    echo '<br/>';
                    echo $qrys = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id,arrival_time,delivery_time)
VALUES (NOW(),'$ordercode','RIT','Return-Intransit','admin','Web',NOW(),'$magento_orderid','$picklist_id','$updated_at','$updated_at')";
            $ress = $runQuery->RunQuery($qrys);
			$qryarr = "UPDATE customer_order_status SET arrival_time = '" . $updated_at . "',delivery_time = '" . $delivery_date . "' WHERE ordercode='" . $ordercode . "' and status = 'RIT'";
					$runQuery->RunQuery($qryarr);
                }
				   
            echo $i . '----<br/>';
            echo '<br/>';	

		  }
	  //}
  }
  
  foreach($TrackDetailReply['DeliveryInfo'] as $keys=> $row){
	echo 'aa';  
	echo '<br/>-------------------------------------------';
		  echo $keys;
		  $status =  $row['status'];
		  $date_time = $row['dateTime'];
          $updated_at =  date("Y-m-d H:i:s", strtotime($date_time));
		  echo $qry = "UPDATE customer_order SET tracking_status = '" . $status . "' WHERE customer_order_id='" . $customer_order_id . "'";
           $res = $runQuery->RunQuery($qry);
		   echo '<br/>-------------------------------------------';
		   
		    if (($status == 'Arrived at TCS Facility') || ($status == 'Departed From Origin') || ($status == 'Awaiting receiver collection') || ($status == 'CLOSED ON ARRIVAL') || ($status == 'Scheduled for delivery') || ($status == 'Returned to TCS origin') || ($status == 'Delivery address falls under TCS non service area') || ($status == 'Receiver shifted from delivery address') || ($status == 'On hold at TCS facility')  || ($status == 'In Transit') || ($status == 'Unable To Contact')  || ($status == 'Consignee Not Available') || ($status == 'Awaiting Consignee Collection')  || ($status == 'PH Not Responding / Unable to locate delivery address') ) {
				 echo $qrys = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id,arrival_time,delivery_time)
VALUES (NOW(),'$ordercode','INT','In Transit','admin','Web',NOW(),'$magento_orderid','$picklist_id','$updated_at','$updated_at')";
                    echo $ress = $runQuery->RunQuery($qrys);
                }
				
				if ($status == 'Arrived at TCS Facility'){
				
				echo $qryarr = "UPDATE customer_order_status SET arrival_time = '" . $updated_at . "',delivery_time = '" . $updated_at . "' WHERE ordercode='" . $ordercode . "' and status = 'INT'";
               $runQuery->RunQuery($qryarr);
	 
                 }	
				
				
                if (($status == 'Delivered') || ($status == 'DELIVERED')) {
                    
                    echo '<br/>';
                    echo $qrys = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id,arrival_time,delivery_time)
VALUES (NOW(),'$ordercode','DLV','Delivered','admin','Web',NOW(),'$magento_orderid','$picklist_id','$updated_at','$updated_at')";
                    echo $ress = $runQuery->RunQuery($qrys);
					 echo '<br/>';
					 $qryarr = "UPDATE customer_order_status SET arrival_time = '" . $updated_at . "',delivery_time = '" . $delivery_date . "' WHERE ordercode='" . $ordercode . "' and status = 'DLV'";
                 $runQuery->RunQuery($qryarr);
                }
				
				if (($status == 'RETURN TO SHIPPER') || ($status == 'Ready for Return') || ($status == 'Returned to sender')) {
                    
                    echo '<br/>';
                    echo $qrys = "INSERT INTO `customer_order_status`( `datatime`, `ordercode`, `status`, `status_text`, `usrid`, `channel`, `insert_date`, `magento_orderno`,picklist_id,arrival_time,delivery_time)
VALUES (NOW(),'$ordercode','RIT','Return-Intransit','admin','Web',NOW(),'$magento_orderid','$picklist_id','$updated_at','$updated_at')";
            $ress = $runQuery->RunQuery($qrys);
			 echo '<br/>';
			$qryarr = "UPDATE customer_order_status SET arrival_time = '" . $updated_at . "',delivery_time = '" . $delivery_date . "' WHERE ordercode='" . $ordercode . "' and status = 'RTN'";
					$runQuery->RunQuery($qryarr);
                }
				   
            echo $i . '----<br/>';
            echo '<br/>';	
		  }
	  
  }
  
  

}


}

$fw = fopen('cronlog/tcsintransitend' . date('d-m-Y H:i:s') . '.txt', 'w');
fwrite($fw, $_POST['xml']);
fclose($fw);
    

?>