<?php	date_default_timezone_set("Asia/Karachi"); 		 		 	
echo '<script type="text/javascript">
	$(document).ready(function(){
		$("#frm").submit(function(){return false;});
        $("#list").dataTable({"bPaginate": false});
		$("#rdate").datepick({dateFormat: "dd/mm/yyyy"});
		$("#edate").datepick({dateFormat: "dd/mm/yyyy"});
		
		$("#chkall").click(function(){
			if($(this).is(":checked")){$("#list").find(":checkbox").attr("checked", true);}
			else{$("#list").find(":checkbox").attr("checked", false);}
			});
		
		getList();
		
		$("#report").click(function(){getList();});

		$.get("pgs/dpg.php","pg=24&type=cust",function(data){
			var htm = "";
			htm += "<option value=\'0\'>Select acno</option>";
			$(data).find("row").each(function(){
				acno = $(this).children(":first-child").text();
				name = $(this).children(":nth-child(2)").text();
				htm += "<option value="+acno+">"+name+"</option>";
			});
			$("#cust").html(htm);
		});
		

		$("#create").click(function(){
			
			var cust = $("#cust").val();
			tb = $("#list").children(":nth-child(2)");
			list = "";
			dlm = "";
			$(tb).children().each(function(){
				el = $(this).children(":first-child").children(":first-child");
				ord = $(this).children(":nth-child(2)").text();
				if($(el).is(":checked")){
					list += dlm+ord;
					dlm = ",";
					}
				});
			if(list==""){alert("Please Select Orders for Picklist..."); return;}
			vars = "pg=24&type=save&list="+list+"&cust="+cust;
			$.get("pgs/dpg.php",vars,function(data){
				$(data).find("row").each(function(){
					stat = $(this).children(":first-child").text();
					if(stat=="Saved"){
						pickid = $(this).children(":nth-child(2)").text();
						tb = $("#list").children(":nth-child(2)");
						$(tb).children().each(function(){
							el = $(this).children(":first-child").children(":first-child");
							if($(el).is(":checked")){$(el).parent().parent().remove();}
							});
						alert(pickid);
						}
					else{alert(stat);}
					});
				});
			});
		});
	
	function getList(){
		$("#list").dataTable().fnClearTable();
		var cust = $("#cust").val();
		$.get("pgs/dpg.php",{pg:"24",type:"list", cust:cust,rdate:$("#rdate").val(),edate:$("#edate").val()},function(data){
			$(data).find("row").each(function(){
				whid = $(this).children(":nth-child(11)").text();
				if(whid==""){al = "<a href=\'#\' onclick=\'Create(this, event)\'>Receive Inventory</a>";}
				else{al = "<a href=\'#\' onclick=\'Print("+whid+", event)\' title=\'Print Barcode\'>"+whid+"</a>";}
				
				$("#list").dataTable().fnAddData([
					"<input type=\'checkbox\' />",
					$(this).children(":first-child").text(),
					$(this).children(":nth-child(2)").text(),
					$(this).children(":nth-child(3)").text(),
					$(this).children(":nth-child(4)").text(),
					$(this).children(":nth-child(5)").text(),
					$(this).children(":nth-child(6)").text()
					]);
				});
			$("#list").dataTable();
			});
		}
		
</script>


<div id="content" class="xfluid">
	<div class="portlet x6">
		<div class="portlet-header"><h4>Picklist Creation</h4></div>
		<div class="portlet-content">
			<form id="frm-h" class="form label-inline">
				<div class="field">
					<label for="rdate">Start Date : </label> 
					<input type="text" id="rdate" name="rdate" class="small" value="'.date('d/m/Y').'" readonly="readonly" />
				</div>
				<div class="field">
					<label for="rdate">End Date : </label> 
					<input type="text" id="edate" name="edate" class="small" value="'.date('d/m/Y').'" readonly="readonly" />
					
				</div>
				<div class="field">
					<label for="cust">Account :</label>
					<select id="cust" name="cust"></select>
				</div>
				<div class="field">
					<label for="chkall">Check All :</label>
					<input type="checkbox" id="chkall" name="chkall" />
				</div>
				<div class="buttonrow">
					<button class="btn btn-small" id="report" type="button"><span></span>Get Order List</button>
					<button class="btn btn-small" id="create" type="button"><span></span>Create Picklist</button>
				</div>
			</form>
		</div>
	</div>
</div>

<div id="content" class="xfluid">
	<div class="portlet x12">
		<div class="portlet-header"><h4>Orders Available List</h4></div>
		<div class="portlet-content">
			<table cellpadding="0" cellspacing="0" border="0" class="display" id="list">
				<thead>
					<tr>
						<th></th>
						<th>Order Number</th>
						<th>Date</th>
						<th>Customer</th>
						<th>SKUs</th>
						<th>Quantity</th>
						<th>Brand</th>
					</tr>
				</thead>
					<tbody>
					</tbody>
			</table>
		</div>
	</div>
</div>
';
				
?>